Original URL: http://www.theregister.co.uk/2006/11/15/broadcom_driver_flaw/

Broadcom flaw spawns wireless risk

Duck and cover

By John Leyden

Posted in Security, 15th November 2006 17:11 GMT

Security researchers have discovered a vulnerability in Broadcom wireless device drivers.

Flaws in handling 802.11 probe responses containing a long SSID field mean that systems that use the Broadcom BCMWL5.SYS wireless device driver are left open to buffer overflow attacks. The flaw might be used by hackers within radio range to inject hostile code into vulnerable systems. The list of potential targets (Broadcom partners) is extensive.

The flaw does not lend itself to remote attack across the internet but it does mean that hackers within radio range (for example when a user is in the vicinity of a hot spot used by an attacker) might be able be mount either a denial of service or code injection attack. Users are advised to turn off their wireless cards when not in use pending the availability of updates from Broadcom's partners.

The affected driver is bundled with new PCs from Dell, Gateway and HP among other computer manufacturers. Wireless card manufactures including Linksys also provide devices that ship with this driver. The vulnerability has been demonstrated in version 3.50.21.10 of the software but other versions might also be affected. The security bug only affects the wireless driver, not the Broadcom wired cards.

Broadcom has released an updated version of the driver to its partners, who are in turn providing updates for the affected products. SANS advises users to patch their systems once drivers from manufacturers become available (only Linksys has published an official update at this time).

For the technically minded among you, the "Month of Kernel Bugs" project has published a notice on the problem and metasploit module for testing purposes, as explained in a SANS advisory here. ®